<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="17156" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17125"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="Roboto-Medium.ttf">
            <string>Roboto-Medium</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="iN0-l3-epB" customClass="AddCategoryView" customModule="Snagpay" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <button opaque="NO" alpha="0.60000002384185791" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="asl-xj-sZr">
                    <rect key="frame" x="0.0" y="44" width="414" height="852"/>
                    <color key="backgroundColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <connections>
                        <action selector="btnTransparent:" destination="iN0-l3-epB" eventType="touchUpInside" id="hlN-Jf-jZK"/>
                    </connections>
                </button>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="JES-11-Bk9">
                    <rect key="frame" x="5" y="286" width="404" height="324"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Add new category" textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="3dz-Ba-RTP">
                            <rect key="frame" x="15" y="24" width="163" height="23.5"/>
                            <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="20"/>
                            <color key="textColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <nil key="highlightedColor"/>
                            <variation key="heightClass=regular-widthClass=regular">
                                <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="23"/>
                            </variation>
                        </label>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="ZOV-j6-NPU">
                            <rect key="frame" x="369" y="26" width="20" height="20"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="20" id="Lg8-qf-6xj">
                                    <variation key="heightClass=regular-widthClass=regular" constant="25"/>
                                </constraint>
                                <constraint firstAttribute="width" constant="20" id="QGY-p8-5Yt">
                                    <variation key="heightClass=regular-widthClass=regular" constant="25"/>
                                </constraint>
                            </constraints>
                            <state key="normal" image="cancel_red"/>
                            <connections>
                                <action selector="btnTransparent:" destination="iN0-l3-epB" eventType="touchUpInside" id="tSO-dc-zYP"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Hos-6o-BAY">
                            <rect key="frame" x="25" y="266" width="354" height="40"/>
                            <color key="backgroundColor" name="blue"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="40" id="2ru-DW-UAo">
                                    <variation key="heightClass=regular-widthClass=regular" constant="50"/>
                                </constraint>
                            </constraints>
                            <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="17"/>
                            <state key="normal" title="Save">
                                <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            </state>
                            <variation key="heightClass=regular-widthClass=regular">
                                <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="20"/>
                            </variation>
                            <connections>
                                <action selector="btnSave:" destination="iN0-l3-epB" eventType="touchUpInside" id="pke-kM-jqk"/>
                            </connections>
                        </button>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" ambiguous="YES" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="43e-WW-zNo">
                            <rect key="frame" x="10" y="71.5" width="384" height="1"/>
                            <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="1" id="b9Q-Ng-5V7"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <textField opaque="NO" tag="1" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="wGE-ac-cCu">
                            <rect key="frame" x="20" y="96" width="364" height="40"/>
                            <color key="backgroundColor" systemColor="systemGray5Color"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="40" id="4De-Eq-ecn"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits"/>
                        </textField>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="2AB-3e-9IK">
                            <rect key="frame" x="349" y="106" width="20" height="20"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="20" id="Tub-ds-CGG"/>
                                <constraint firstAttribute="height" constant="20" id="wjH-GR-hpm"/>
                            </constraints>
                            <inset key="imageEdgeInsets" minX="2" minY="6" maxX="2" maxY="6"/>
                            <state key="normal" image="dropdown"/>
                        </button>
                        <textField opaque="NO" tag="2" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="JLg-fG-FUd">
                            <rect key="frame" x="20" y="151" width="364" height="40"/>
                            <color key="backgroundColor" systemColor="systemGray5Color"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="40" id="ag8-kx-fgN"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits"/>
                        </textField>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="hu4-3g-Ufz">
                            <rect key="frame" x="349" y="161" width="20" height="20"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="20" id="6ZH-L8-wzu"/>
                                <constraint firstAttribute="width" constant="20" id="MLe-mH-ag4"/>
                            </constraints>
                            <inset key="imageEdgeInsets" minX="2" minY="6" maxX="2" maxY="6"/>
                            <state key="normal" image="dropdown"/>
                        </button>
                        <textField opaque="NO" tag="3" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="cX5-8e-Ks1">
                            <rect key="frame" x="20" y="206" width="364" height="40"/>
                            <color key="backgroundColor" systemColor="systemGray5Color"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="40" id="K5t-NK-sIc"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits"/>
                        </textField>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="VY2-Vp-u8M">
                            <rect key="frame" x="349" y="216" width="20" height="20"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="20" id="0NU-cD-7Gd"/>
                                <constraint firstAttribute="height" constant="20" id="E5c-Ce-TtK"/>
                            </constraints>
                            <inset key="imageEdgeInsets" minX="2" minY="6" maxX="2" maxY="6"/>
                            <state key="normal" image="dropdown"/>
                        </button>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstItem="43e-WW-zNo" firstAttribute="top" secondItem="3dz-Ba-RTP" secondAttribute="bottom" constant="24" id="0TK-dF-Fs2"/>
                        <constraint firstItem="wGE-ac-cCu" firstAttribute="leading" secondItem="JES-11-Bk9" secondAttribute="leading" constant="20" symbolic="YES" id="7B0-vT-QZg"/>
                        <constraint firstItem="JLg-fG-FUd" firstAttribute="trailing" secondItem="wGE-ac-cCu" secondAttribute="trailing" id="7WI-s9-Nbe"/>
                        <constraint firstAttribute="bottom" secondItem="Hos-6o-BAY" secondAttribute="bottom" constant="18" id="81J-x6-3rQ"/>
                        <constraint firstItem="2AB-3e-9IK" firstAttribute="centerY" secondItem="wGE-ac-cCu" secondAttribute="centerY" id="BSJ-rr-PjV"/>
                        <constraint firstItem="cX5-8e-Ks1" firstAttribute="leading" secondItem="JLg-fG-FUd" secondAttribute="leading" id="BsR-WP-gSV"/>
                        <constraint firstItem="3dz-Ba-RTP" firstAttribute="leading" secondItem="JES-11-Bk9" secondAttribute="leading" constant="15" id="C0Z-gj-rVv">
                            <variation key="heightClass=regular-widthClass=regular" constant="25"/>
                        </constraint>
                        <constraint firstItem="VY2-Vp-u8M" firstAttribute="centerY" secondItem="cX5-8e-Ks1" secondAttribute="centerY" id="DWi-no-WCV"/>
                        <constraint firstItem="2AB-3e-9IK" firstAttribute="trailing" secondItem="wGE-ac-cCu" secondAttribute="trailing" constant="-15" id="Ixi-K8-WWY"/>
                        <constraint firstAttribute="trailing" secondItem="Hos-6o-BAY" secondAttribute="trailing" constant="25" id="J65-gS-kgi">
                            <variation key="heightClass=regular-widthClass=regular" constant="35"/>
                        </constraint>
                        <constraint firstItem="JLg-fG-FUd" firstAttribute="leading" secondItem="wGE-ac-cCu" secondAttribute="leading" id="LRz-yQ-DZ5"/>
                        <constraint firstItem="VY2-Vp-u8M" firstAttribute="trailing" secondItem="cX5-8e-Ks1" secondAttribute="trailing" constant="-15" id="POu-wn-22V"/>
                        <constraint firstItem="Hos-6o-BAY" firstAttribute="leading" secondItem="JES-11-Bk9" secondAttribute="leading" constant="25" id="QC7-AR-AdL">
                            <variation key="heightClass=regular-widthClass=regular" constant="35"/>
                        </constraint>
                        <constraint firstItem="hu4-3g-Ufz" firstAttribute="centerY" secondItem="JLg-fG-FUd" secondAttribute="centerY" id="a4R-MD-M1L"/>
                        <constraint firstItem="wGE-ac-cCu" firstAttribute="top" secondItem="43e-WW-zNo" secondAttribute="bottom" constant="23.5" id="bNF-Ns-asc"/>
                        <constraint firstItem="JLg-fG-FUd" firstAttribute="top" secondItem="wGE-ac-cCu" secondAttribute="bottom" constant="15" id="bm8-o5-Zbm"/>
                        <constraint firstItem="Hos-6o-BAY" firstAttribute="top" secondItem="cX5-8e-Ks1" secondAttribute="bottom" constant="20" id="bqa-kd-nZP"/>
                        <constraint firstAttribute="trailing" secondItem="ZOV-j6-NPU" secondAttribute="trailing" constant="15" id="hB3-Bk-tgV">
                            <variation key="heightClass=regular-widthClass=regular" constant="25"/>
                        </constraint>
                        <constraint firstItem="hu4-3g-Ufz" firstAttribute="trailing" secondItem="JLg-fG-FUd" secondAttribute="trailing" constant="-15" id="hsA-uD-YdU"/>
                        <constraint firstAttribute="trailing" secondItem="wGE-ac-cCu" secondAttribute="trailing" constant="20" symbolic="YES" id="jz0-ax-Tcb"/>
                        <constraint firstItem="cX5-8e-Ks1" firstAttribute="top" secondItem="JLg-fG-FUd" secondAttribute="bottom" constant="15" id="nBe-qY-DVi"/>
                        <constraint firstItem="3dz-Ba-RTP" firstAttribute="top" secondItem="JES-11-Bk9" secondAttribute="top" constant="24" id="oXO-7V-V1Q"/>
                        <constraint firstItem="ZOV-j6-NPU" firstAttribute="centerY" secondItem="3dz-Ba-RTP" secondAttribute="centerY" id="qJw-um-Luh"/>
                        <constraint firstItem="cX5-8e-Ks1" firstAttribute="trailing" secondItem="JLg-fG-FUd" secondAttribute="trailing" id="tX3-2e-9st"/>
                    </constraints>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                            <integer key="value" value="10"/>
                        </userDefinedRuntimeAttribute>
                    </userDefinedRuntimeAttributes>
                </view>
            </subviews>
            <viewLayoutGuide key="safeArea" id="vUN-kp-3ea"/>
            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstItem="JES-11-Bk9" firstAttribute="centerX" secondItem="iN0-l3-epB" secondAttribute="centerX" id="7QT-8L-Dn7"/>
                <constraint firstItem="asl-xj-sZr" firstAttribute="top" secondItem="vUN-kp-3ea" secondAttribute="top" id="9uC-Hp-acT"/>
                <constraint firstItem="vUN-kp-3ea" firstAttribute="trailing" secondItem="JES-11-Bk9" secondAttribute="trailing" constant="5" id="UpO-2j-sJS"/>
                <constraint firstItem="JES-11-Bk9" firstAttribute="leading" secondItem="vUN-kp-3ea" secondAttribute="leading" constant="5" id="e1l-ra-GSf"/>
                <constraint firstAttribute="bottom" secondItem="asl-xj-sZr" secondAttribute="bottom" id="gUX-eY-cRZ"/>
                <constraint firstItem="asl-xj-sZr" firstAttribute="leading" secondItem="vUN-kp-3ea" secondAttribute="leading" id="te0-nJ-Irn"/>
                <constraint firstItem="JES-11-Bk9" firstAttribute="centerY" secondItem="iN0-l3-epB" secondAttribute="centerY" id="vVs-uN-rSj"/>
                <constraint firstItem="asl-xj-sZr" firstAttribute="trailing" secondItem="vUN-kp-3ea" secondAttribute="trailing" id="xS6-iN-aI3"/>
            </constraints>
            <connections>
                <outlet property="btnSave" destination="Hos-6o-BAY" id="eBC-kg-VTw"/>
                <outlet property="txtFirst" destination="wGE-ac-cCu" id="HS4-Gq-k0q"/>
                <outlet property="txtSecond" destination="JLg-fG-FUd" id="9m2-1G-2hG"/>
                <outlet property="txtThird" destination="cX5-8e-Ks1" id="LhS-Lk-Sah"/>
            </connections>
            <point key="canvasLocation" x="-146" y="74"/>
        </view>
    </objects>
    <resources>
        <image name="cancel_red" width="128" height="128"/>
        <image name="dropdown" width="128" height="72"/>
        <namedColor name="blue">
            <color red="0.046999998390674591" green="0.27500000596046448" blue="0.6940000057220459" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemGray5Color">
            <color red="0.89803921568627454" green="0.89803921568627454" blue="0.91764705882352937" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
